<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::STLAllocator&lt; T, AllocPolicy &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ad85c5a0fc7665135ab6965b1a6578a0b">address</a>(reference x) const </td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ab0c9ec3f0b3d15832db68093828df934">address</a>(const_reference x) const </td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a219db3b3227be55452bf297cdb7bea89">allocate</a>(size_type count, typename std::allocator&lt; void &gt;::const_pointer ptr=0)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a31bf54b866ab68cdf4065adb9eee9a93">Base</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ab1503596eb95026cd4a65164f612a407">const_reference</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a04d59556081dfe8d64d660b336b6fc28">construct</a>(pointer p)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ad6ebf2ce6e910595ef613fc955e6df10">construct</a>(pointer p, const T &amp;val)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#afc5b83dfdc2263f0c6dbebe62c4681a9">deallocate</a>(pointer ptr, size_type)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ad4101ccdcdc6c5336a2ebd5169c55ff9">destroy</a>(pointer p)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#af82f6b541d4c320854df346e04ab62ce">difference_type</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a34af39aff69a8cb62b7548df92fa8aad">max_size</a>() const </td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a5d26e2252c837f0620a51c075aeb6d56">reference</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a9c25559c7ed0e526a0195d4d44efce10">STLAllocator</a>()</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#af85d3e2726cef7ec1f1d24f2ed3b0675">STLAllocator</a>(STLAllocator const &amp;)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#a3d97ea3f530a55614990908f19ccd533">STLAllocator</a>(STLAllocator&lt; U, AllocPolicy &gt; const &amp;)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ac80a6c2569f5812937287072c04d23ea">STLAllocator</a>(STLAllocator&lt; U, P &gt; const &amp;)</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#af5221070699c31f29ff62f889ffd9b32">value_type</a> typedef</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1STLAllocator.html#ab4be8634d905e1c62cfbaeca27389188">~STLAllocator</a>()</td><td><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
